Error Handling

Discussion in 'AutoCAD' started by HJohn, Jan 21, 2005.

  1. HJohn

    HJohn Guest

    Is there an equivalent for "On Error Resume Next" statement in LISP? Thanks in advance
     
    HJohn, Jan 21, 2005
    #1
  2. HJohn

    Jürg Menzi Guest

    Hi HJohn

    Yes, vl-catch-all-apply...
    Code:
    (vl-catch-all-error-p
    (setq OffObj (vl-catch-all-apply
    'vlax-invoke (list CurObj 'Offset 2.0)
    )
    )
    )
    
    Cheers
     
    Jürg Menzi, Jan 21, 2005
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.